20140302

Android StudioでLombokを使う

gradle.buildに以下追記。
dependencies {
  provided 'org.projectlombok:lombok:1.12.2’
}

これだけでも使えるかといえば使えるが、Android Studioのエラー表示が消えないので、lombok-intellij-pluginをインストールします。

Android Studioで、Preferences>PluginsでPlugin画面を開き、Browse repositories...ボタンをクリックします。



Lombok pluginを探しダブルクリックしてインストールします。

Android Studioを再起動すると、エラーがとれているはずです。

0 件のコメント: